Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.governors
Class TimeoutGovernor

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractScriptlet
          net.sf.jasperreports.engine.JRDefaultScriptlet
              net.sf.jasperreports.governors.TimeoutGovernor

    public class TimeoutGovernor

extends JRDefaultScriptlet

Version:
  $Id: TimeoutGovernor.java 3940 2010-08-20 10:35:15Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static java.lang.String` | `PROPERTY_TIMEOUT`
`static java.lang.String` | `PROPERTY_TIMEOUT_ENABLED`

Fields inherited from class net.sf.jasperreports.engine.JRAbstractScriptlet
`fieldsMap, groups, parametersMap, variablesMap`

Constructor Summary
`TimeoutGovernor(long timeout)`

Method Summary
`void` | `beforeDetailEval()` Called before evaluating each detail.
`void` | `beforeReportInit()` Called before the report is initialized.

Methods inherited from class net.sf.jasperreports.engine.JRDefaultScriptlet
`afterColumnInit, afterDetailEval, afterGroupInit, afterPageInit, afterReportInit, beforeColumnInit, beforeGroupInit, beforePageInit`

Methods inherited from class net.sf.jasperreports.engine.JRAbstractScriptlet
`callAfterColumnInit, callAfterDetailEval, callAfterGroupInit, callAfterPageInit, callAfterReportInit, callBeforeColumnInit, callBeforeDetailEval, callBeforeGroupInit, callBeforePageInit, callBeforeReportInit, getFieldValue, getParameterValue, getParameterValue, getVariableValue, setData, setVariableValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_TIMEOUT_ENABLED

    public static final java.lang.String PROPERTY_TIMEOUT_ENABLED

See Also:
  Constant Field Values

### PROPERTY_TIMEOUT

    public static final java.lang.String PROPERTY_TIMEOUT

See Also:
  Constant Field Values

Constructor Detail

### TimeoutGovernor

    public TimeoutGovernor(long timeout)

Method Detail

### beforeReportInit

    public void beforeReportInit()
                          throws JRScriptletException

  Description copied from class: `JRAbstractScriptlet`
  Called before the report is initialized.

  Overrides:
    `beforeReportInit` in class `JRDefaultScriptlet`
  Throws:
    `JRScriptletException`

### beforeDetailEval

    public void beforeDetailEval()
                          throws JRScriptletException

  Description copied from class: `JRAbstractScriptlet`
  Called before evaluating each detail.

  Overrides:
    `beforeDetailEval` in class `JRDefaultScriptlet`
  Throws:
    `JRScriptletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com